Subject: Re: Victrola springs

From: [email-masked] (Steve Rayner)
Date: Wed, 1 Nov 1995 21:39:44 GMT

Some clock springs are bigger and stronger.  Use a clock spring winder, 
and wear gloves and eye protection.  Note I made my own spring winder 
years ago, with a meccano gear for the two way ratchet.

In a previous article, [email-masked] ("John W. Hall") says:

>
>>mac ([email-masked]) wrote:
>>: I have become the owner of an antique Victrola type record player. The spring which 
>>: drive the turntable has broken, apparently at a stress point.
>>
>>: Does anyone know of a place that has replacement parts or where I can buy the flat 
>>: spring material so I can wind new one?
>
>These are big heavy suckers that you don't want to mess with without 
>great care and perhaps a death wish. _DON"T_ try to take it out of the 
>can until and unless you really understand it and have devised some 
>kind of containment system. Then of course there is the issue of 
>getting it back into the can! Think of working with twenty large, 
>animated, _angry_ razor blades!
>
>There is a newgroup called rec.antiques.radio phono, or something like 
>that you should post your request to. Sorry I have forgotten the 
>exact name. They can steer you to the people who repair these things.
>
>John
>
>

-- 
************************************************************************
     MY SECRET IS OIL OF HARLEY DAVIDSON !      Steve Rayner
************************************************************************